#
# spec file for package python3-kombu
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-kombu
Version:        2.5.10
Release:        0
Summary:        AMQP Messaging Framework for Python
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://github.com/ask/kombu/
Source:         http://pypi.python.org/packages/source/k/kombu/kombu-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-PyYAML
BuildRequires:  python3-amqplib
BuildRequires:  python3-anyjson
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-mock
BuildRequires:  python3-msgpack-python
BuildRequires:  python3-nose-cover3
# This package is not compatible with python 3.3 for now,
# please re-enable when this builds properly on 
# openSUSE 12.3+
%if 0%{?suse_version} >= 1230 
BuildRequires:  python3-simplejson
%endif
BuildRequires:  python3-unittest2
Requires:       python3-amqp >= 1.0.11
Requires:       python3-anyjson
Recommends:     couchdb
Recommends:     mongodb
Recommends:     rabbitmq-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
An AMQP messaging framework for Python.

AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and also
provide proven and tested solutions to common messaging problems.

%prep
%setup -q -n kombu-%{version}
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' ./kombu/tests/test_serialization.py

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# Testsuite requires mkgpack-python < 0.2.0 because it dropped Python-2.5 support.
# This makes no sense for us, thus:
#sed -i "s/msgpack-python.*/msgpack-python/" requirements/test.txt
#python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog FAQ README THANKS TODO LICENSE
%{python3_sitelib}/*

%changelog
